Wiki Ubuntu-it

Indice
Partecipa
FAQ
Wiki Blog
------------------
Ubuntu-it.org
Forum
Chiedi
Chat
Cerca
Planet
  • Immutable Page
  • Info
  • Attachments

Revision 34 as of 11/02/2011 09.59.23

Clear message

Indice(depth=2) Informazioni(forum="http://forum.ubuntu-it.org/index.php/topic,233353.0.html"; rilasci="9.10 8.04")

Introduzione

In questa guida sono presenti delle istruzioni utili all'installazione di Opera.

Installazione

Installazione via repository

Aprire il file /etc/apt/sources.list con un [:Ufficio/EditorDiTesto:editor di testo] con i [:AmministrazioneSistema/Sudo:privilegi di amministrazione] e aggiungere in fondo al file le righe adatte al sistema in uso:

  • Ubuntu 9.10 «Karmic Koala»:

    deb http://archive.canonical.com/ karmic partner
  • Ubuntu 8.04 «Hardy Heron»:

    deb http://archive.canonical.com/ hardy partner

Per autenticare i pacchetti è sufficiente digitare il seguente comando:

sudo wget -O - http://deb.opera.com/archive.key |
sudo apt-key add -

Una volta apportate le modifiche al file /etc/apt/sources.list secondo la versione di Ubuntu installata, è necessario aggiornare la lista dei pacchetti, digitando il seguente comando in una finestra di [:AmministrazioneSistema/RigaDiComando:terminale]:

sudo apt-get update

Infine, [:AmministrazioneSistema/InstallareProgrammi:installare] il pacchetto opera.

Installazione manuale

Scaricare nella propria Home il pacchetto .deb presente a [http://www.opera.com/browser/download/ questo indirizzo] prestando attenzione a selezionare la versione adatta alla propria versione di Ubuntu installata. Il sito non offre la possibilità di scegliere tra le versione Shared Qt e Static Qt; se si desidera ottenere una delle due in particolare, andare a [http://ftp.opera.com/pub/opera/linux/ questo indirizzo]. Infine procedere all'installazione con [:AmministrazioneSistema/InstallarePacchettiDebian#metodografico:GDebi].

Installazione plugin

Plugin a 64 bit

Per ottenere il supporto ad Adobe Acroread installare i seguenti pacchetti .deb: [http://packages.medibuntu.org/pool/non-free/a/acroread/acroread_8.1.3-0medibuntu0.8.10.2_amd64.deb acroread], [http://packages.medibuntu.org/pool/non-free/a/acroread/acroread-escript_8.1.3-0medibuntu0.8.10.2_amd64.deb acroread-escript] e [http://packages.medibuntu.org/pool/non-free/a/acroread/mozilla-acroread_8.1.3-0medibuntu0.8.10.2_amd64.deb mozilla-acroread] con [http://wiki.ubuntu-it.org/AmministrazioneSistema/InstallarePacchettiDebian#metodografico GDebi].BR

Per ottenere il supporto a Flash 9, scaricare il pacchetto .deb di flashplugin-nonfree a [http://security.ubuntu.com/ubuntu/pool/multiverse/f/flashplugin-nonfree/flashplugin-nonfree_10.0.15.3ubuntu1~intrepid1_amd64.deb questo indirizzo] e procedere alla sua installazione con [http://wiki.ubuntu-it.org/AmministrazioneSistema/InstallarePacchettiDebian#metodografico GDebi].

Plugin a 32 bit

[:AmministrazioneSistema/InstallareProgrammi:Installare] il pacchetto ia32-libs presente nel [:Repository/Componenti:componente] universe dei [:Repository:repository] ufficiali, digitare in una finestra di [:AmministrazioneSistema/RigaDiComando:terminale]:

sudo aptitude install ia32-libs

Aprire un terminale e installare i pacchetti necessari per ogni plugin, attraverso il comando dpkg, in questo modo:

sudo dpkg -i --force-architecture package.deb

avendo cura di sostituire package.deb con il nome del pacchetto desiderato.

Utilizzo

Per avviare Opera fare clic su Applicazioni → Internet → Opera, oppure digitare il seguente comando in una finestra di terminale:

opera

Se Opera non è presente nei menu, aprire con un [:Ufficio/EditorDiTesto:editor di testo] e con i [:AmministrazioneSistema/Sudo:privilegi di amministrazione] il file ~/.opera/filehandler.ini, inserendo in fondo le seguenti righe:

Opera Preferences version 2.0
; Do not edit this file while Opera is running
; This file is stored in UTF-8 encoding
[Settings]
Default File Handler=gnome-open ,1
Default Directory Handler=gnome-open ,1

Temi per Opera

Premere SHIFT + F12 all'interno del browser, in modo che vengano mostrate i temi a disposizione, per avere una panoramica completa per tutti i temi messi a disposizione per Opera, andare a [http://my.opera.com/community/customize/skins/ questo indirizzo].

Temi di GNOME

Di seguito sono riportate le skin per l'ambiente [:AmbienteGrafico/Gnome:Gnome]:

Una volta caricata la pagina web, in Opera selezionare «Download Skin» per installare il tema.

Temi di Kde

Di seguito sono riportate le skin per l'ambiente [:AmbienteGrafico/Kde:Kde]:

Una volta caricata la pagina web, in Opera selezionare «Download Skin» per installare il tema.

Scelta della lingua

Una volta completata l'installazione è possibile installare il supporto per la lingua desiderata, per farlo è necessario eseguire questa procedura:

  1. Scaricare da [http://www.opera.com/download/languagefiles/ questa pagina] il file in formato .lng relativo alla lingua e alla versione di Opera desiderate;

  2. Copiare il file appena scaricato nella cartella ~/usr/share/opera/locale, digitando il seguente comando in una finestra di terminale:

    sudo mv nome_file.lng /usr/share/opera/locale/nome_file.lng
    Sostituire la dicitura «nome_file» con il nome del file scaricato in precedenza.
  3. Andare in Strumenti → Preferenze, fare clic su «Dettagli...». Apparirà una finestra, fare clic su «Sfoglia» e selezionare la lingua desiderata.

Integrazione con Pidgin

In Strumenti → Preferenza → Avanzate → Programmi, fare clic su «Aggiungi», inserendo il nome del nuovo protocollo all'interno del campo «Protocollo» nella finestra che si apre. Mettere il segno di spunta a «Apri con un'altra applicazione» e digitare nel campo sottostante:

/usr/bin/purple-url-handler

Integrazione di protocollo con KDE

In Strumenti → Preferenza → Avanzate → Programmi, fare clic su «Aggiungi», inserendo il nome del nuovo protocollo all'intenrno del campo «Protocollo» nella finestra che si apre. In Azione mettere il segno di spunta a «Apri con un'altra applicazione» Quindi, se si desidera utilizzare il programma che si è scelto come predefinito in KDE, occorre digitare nel campo sottostante:

kfmclient exec

Questo script consentirà di aprire l'url del file che utilizza quel determinato tipo di protocollo con la relativa applicazione predefinita di KDE, senza bisogno di specificare un programma, dato che lo script stesso andrà a cercare il programma dalla lista presente in kcontrol.

Impostare Opera come browser predefinito

Per far diventare Opera il browser e client di posta predefinito in Ubuntu, andare in Sistema → Preferenze → Applicazioni Preferite. Nella scheda «Browser Web» selezionare dal menù a tendina l'opzione«Opera» e «Open link in new tab». Nella scheda «Client di posta» selezionare dal menù a tendina l'opzione «Personalizzato» e nel campo «Comando» digitare:

opera -newmail "%s"

Installare Flash 9

[:AmministrazioneSistema/InstallareProgrammi:Installare] il pacchetto libxine1-all-plugins, reperibile dal [:Repository/Componenti:componente] universe dei [:Repository:repository ufficiali] per vedere i filmati all'interno del browser con Totem.

  1. Scaricare a [http://www.divshare.com/download/launch/3965502-175 questo indirizzo] il pacchetto sorgente flash player.

  2. Scompattare l'archivio appena scaricato, digitando il seguente comando:
    tar xvzf install_flash_player_9_linux_tar.gz
  3. Posizionarsi nella cartella ~/install_flash_player_9_linux:

    cd install_flash_player_9_linux
  4. Copiare il file flashplayer.xpt e libflashplayer.so all'interno della cartella /usr/lib/opera/plugins.

    sudo cp flashplayer.xpt /usr/lib/opera/plugins
    sudo cp libflashplayer.so /usr/lib/opera/plugins

Risoluzione dei problemi

Problemi con Java

Se durante l'esecuzione di Opera da terminale compaiono i seguenti messaggi di errore:

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored. 

Basta modificare il percorso di Java in Strumenti → Preferenze → Avanzate → Contenuti → Opzioni di Java, il quale dovrebbe apparire così:

/usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/lib/i386/

La versione runtime di Java installata potrebbe essere differente da questa. Qualsiasi cambiamento non sarà operativo prima di aver riavviato il browser. Per provare la Java Virtual Machine (JVM) visitare [http://www.java.com/en/download/help/testvm.xml questo link].

Problemi con i plugin

Perché Opera riconosca un plugin, esso deve seguire il percorso dei plugin di Opera. Si possono specificare cartelle aggiuntive in cui cercare i plugin andando in Strumenti → Preferenze → Avanzate → Contenuti → Opzioni del Plug-in.... Aggiungere le cartelle desiderate e fare clic su «Trova nuovo...». Potrebbe essere necessario riavviare Opera per attivare il plugin.

Inoltre con Strumenti → Preferenze → Avanzate → Download è possibile raggiungere un elenco delle estensioni supportate da Opera (solo deselezionando l'opzione «Nascondi i tipi gestiti da Opera» si avrà l'elenco completo). Una volta selezionata una voce dal menu «Tipo MIME» fare clic su «Modifica» per modificarla.

Problemi con il plugin Acroread

Il plugin di Acroread non funziona in modo predefinito in Opera 8.x. Funziona invece per le versioni più recenti cosicché la seguente procedura potrebbe non essere necessaria. Modificare lo script d'avvio di Opera perchè funzioni. Per far ciò, aprire con un [:Ufficio/EditorDiTesto:editor di testo] e con i [:AmministrazioneSistema/Sudo:privilegi di amministrazione] il file /usr/bin/opera, sostituire le linee:

OPERA_LD_PRELOAD="${LD_PRELOAD}"
export OPERA_LD_PRELOAD 

con:

LD_PRELOAD="libXm.so.2:${LD_PRELOAD}"
export LD_PRELOAD
OPERA_LD_PRELOAD="${LD_PRELOAD}"
export OPERA_LD_PRELOAD 

A questo punto è necessario andare in Strumenti → Preferenze → Avanzate → Download e:

  1. Selezionare l'estensione desiderata (pdf).
  2. Fare clic su «Modifica» e in fondo, selezionare il plugin di nppdef.so, che dovrebbe essere fra le opzioni.

Problemi con Flash

Il lettore Flash Macromedia usa OSS come output sonoro, perciò, se qualche altra applicazione sta usando il suono, o /dev/dsp non esiste, non sarà disponibile il suono. Per risolvere il problema, è necessario avviare Opera con un wrapper sonoro, così che il suono inviato a /dev/dsp sarà prima catturato dal demone. È necessario anche [:AmministrazioneSistema/InstallareProgrammi:installare] i pacchetti arts o esound-clients, reperibile dal [:Repository/Componenti:componente] universe dei [:Repository:repository ufficiali].

Si potrà così avviare Opera con il wrapper corrispondente:

esddsp opera

oppure:

artsdsp opera

Arts è il demone predefinito sotto KDE, esd lo è sotto GNOME.BR Entrambi possono essere avviati inseme:

artsdsp esd &

oppure:

esddsp artswrapper &

Ulteriori risorse


CategoryInternet CategoryDaRevisionare